#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	attr
Version		:	2.5.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A tool for determining compilation options
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://savannah.nongnu.org/projects/attr

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%doc README
%defattr(-, root,root,-)
%{_sysconfdir}/x%{name}.conf
%{_includedir}/%{name}/*.h
%{_bindir}/*{%name}
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_defaultdocdir}/%{name}-%{version}/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}  DESTDIR="%{buildroot}" install 

#removing libtool library
%{__rm} -f %{buildroot}%{_libdir}/lib%{name}.la

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
